-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlNcRelation

Declaration :

- C++ : class UmlNcRelation : public UmlBaseNcRelation
- Java : class UmlNcRelation extends UmlBaseNcRelation

This class manages 'relations' between non class objects
You can modify it as you want (except the constructor)

Artifact : UmlNcRelation

Operation UmlNcRelation

Declaration :

- C++ : public: UmlNcRelation(void * id, const QCString & n) : UmlBaseNcRelation(id, n)
- Java : public UmlNcRelation(long id, String n)

All public operations :

apply , children , childrenVisible , create , defined_ , description , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , name , parent , properties , propertyValue , referencedBy , relationKind , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , target , unload